Bug 505300 - Rawhide fatal false Missing Dependency
Rawhide fatal false Missing Dependency
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 08:05 EDT by Jan Kratochvil
Modified: 2014-01-21 18:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-13 11:34:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum -v output (.bz2) (18.62 KB, application/octet-stream)
2009-06-11 08:05 EDT, Jan Kratochvil
no flags Details

  None (edit)
Description Jan Kratochvil 2009-06-11 08:05:44 EDT
Created attachment 347387 [details]
yum -v output (.bz2)

Description of problem:
On F10.x86_64 system having Rawhide.{x86_64,i386} systems in mock and they are now failing to be updated.

Version-Release number of selected component (if applicable):
yum-3.2.23-3.fc10.noarch and yum-3.2.21-2.fc10.noarch both fail the same.

How reproducible:
Always.

Steps to Reproduce:
mock -v -r fedora-rawhide-x86_64 --update

Actual results:
 # /usr/bin/yum --installroot /var/lib/mock/fedora-rawhide-x86_64/root/  update
gcc-java-4.4.0-5.x86_64 from fedora has depsolving problems
  --> Missing Dependency: /usr/share/java/eclipse-ecj.jar is needed by package gcc-java-4.4.0-5.x86_64 (fedora)
Error: Missing Dependency: /usr/share/java/eclipse-ecj.jar is needed by package gcc-java-4.4.0-5.x86_64 (fedora)

Expected results:
Updated + later: No Packages marked for Update

Additional info:
Guessing a cause:
Checking deps for gcc-java.x86_64 0-4.4.0-4 - None
---> Package gcc-java.x86_64 0:4.4.0-5 set to be updated
Checking deps for gcc-java.x86_64 0-4.4.0-5 - u
looking for (u'libgcj', u'EQ', (u'0', u'4.4.0', u'5')) as a requirement of gcc-java.x86_64 0-4.4.0-5 - u
looking for (u'gcc', u'EQ', (u'0', u'4.4.0', u'5')) as a requirement of gcc-java.x86_64 0-4.4.0-5 - u
looking for (u'libgcj-devel', u'EQ', (u'0', u'4.4.0', u'5')) as a requirement of gcc-java.x86_64 0-4.4.0-5 - u
looking for (u'/usr/share/java/eclipse-ecj.jar', None, (None, None, None)) as a requirement of gcc-java.x86_64 0-4.4.0-5 - u
gcc-java-4.4.0-5.x86_64 requires: /usr/share/java/eclipse-ecj.jar
--> Processing Dependency: /usr/share/java/eclipse-ecj.jar for package: gcc-java
Searching pkgSack for dep: /usr/share/java/eclipse-ecj.jar
Potential match for /usr/share/java/eclipse-ecj.jar from 1:ecj-3.4.2-4.fc11.x86_64
1:ecj-3.4.2-4.fc11.x86_64 is in providing packages but it is already installed, removing.

But /usr/share/java/eclipse-ecj.jar is still provided by ecj-3.4.2-4.fc11.x86_64 even in Rawhide.

/var/cache/mock/fedora-rawhide-x86_64/yum_cache/ is stored at:
http://people.redhat.com/jkratoch/yum-cache.tar.lzma

Attached .bz2 output of:
mount --bind /var/cache/mock/fedora-rawhide-x86_64/yum_cache/  /var/lib/mock/fedora-rawhide-x86_64/root/var/cache/yum;
/usr/bin/yum -v --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ update
Comment 1 seth vidal 2009-10-13 11:22:13 EDT
I suspect this problem was to do with a filelist lookup back in 3.2.21. Can you test this out with 3.2.24 from f11 or rawhide? I bet it is gone.

I don't know why this bug went so long overlooked. I'm sorry about that.
Comment 2 Jan Kratochvil 2009-10-13 11:34:05 EDT
My mock box does not have (this type :-) ) of problem now so considering as fixed, sorry forgot it myself.

Note You need to log in before you can comment on or make changes to this bug.